## ros-noetic-rviz-visual-tools 3.9.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rviz_visual_tools)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

find_package(catkin REQUIRED COMPONENTS
  eigen_stl_containers
  geometry_msgs
  graph_msgs
  interactive_markers
  shape_msgs
  roscpp
  roslint
  rostest
  rviz
  sensor_msgs
  std_msgs
  tf2_eigen
  tf2_ros
  tf2_geometry_msgs
  trajectory_msgs
  visualization_msgs
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED thread system)
find_package(PkgConfig REQUIRED)
pkg_check_modules(OGRE_OV OGRE)

# Qt 4 or 5
if("${rviz_QT_VERSION}" VERSION_LESS "5")
  find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
  include(${QT_USE_FILE})
  macro(qt_wrap_ui)
    qt4_wrap_ui(${ARGN})
  endmacro()
else()
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
  macro(qt_wrap_ui)
    qt5_wrap_ui(${ARGN})
  endmacro()
endif()
## Prefer the Qt signals and slots to avoid defining "emit", "slots",
## etc because they can conflict with boost signals, so define QT_NO_KEYWORDS here.
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOMOC_COMPILER_PREDEFINES OFF)
add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
    ${PROJECT_NAME}_gui
    ${PROJECT_NAME}_remote_control
    ${PROJECT_NAME}_imarker_simple
  CATKIN_DEPENDS
    geometry_msgs
    graph_msgs
    interactive_markers
    shape_msgs
    roscpp
    sensor_msgs
    std_msgs
    tf2_eigen
    tf2_ros
    trajectory_msgs
    visualization_msgs
  INCLUDE_DIRS
    include
    ${OGRE_OV_INCLUDE_DIRS}
)

include_directories(SYSTEM include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${OGRE_OV_INCLUDE_DIRS})

###########
## Build ##
###########

set(SOURCE_FILES
  src/${PROJECT_NAME}_gui.cpp
  src/key_tool.cpp
)

# Rviz GUI library
add_library(${PROJECT_NAME}_gui ${SOURCE_FILES} src/remote_control.cpp)
set_target_properties(${PROJECT_NAME}_gui PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME}_gui ${rviz_DEFAULT_PLUGIN_LIBRARIES} ${QT_LIBRARIES} ${catkin_LIBRARIES})

# Remote control library
add_library(${PROJECT_NAME}_remote_control src/remote_control.cpp)
set_target_properties(${PROJECT_NAME}_remote_control PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME}_remote_control ${catkin_LIBRARIES})

# Visualization Tools Library
add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}.cpp
  src/tf_visual_tools.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_remote_control
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

# Library
add_library(${PROJECT_NAME}_imarker_simple
  src/imarker_simple.cpp
)
set_target_properties(${PROJECT_NAME}_imarker_simple PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME}_imarker_simple
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${PROJECT_NAME}
)

# Demo executable
add_executable(${PROJECT_NAME}_demo src/${PROJECT_NAME}_demo.cpp)
target_link_libraries(${PROJECT_NAME}_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME}
)
set_target_properties(${PROJECT_NAME}_demo
  PROPERTIES
  OUTPUT_NAME
  demo PREFIX ""
)

# Demo executable
add_executable(${PROJECT_NAME}_imarker_simple_demo src/imarker_simple_demo.cpp)
target_link_libraries(${PROJECT_NAME}_imarker_simple_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME} ${PROJECT_NAME}_imarker_simple
)
set_target_properties(${PROJECT_NAME}_imarker_simple_demo
  PROPERTIES
  OUTPUT_NAME
  imarker_simple_demo PREFIX ""
)

##########
## TEST ##
##########

if(CATKIN_ENABLE_TESTING)

  add_rostest_gtest(rvt_test launch/rvt_test.launch tests/rvt_test.cpp)
  target_link_libraries(rvt_test
    ${PROJECT_NAME}
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
  )

endif()

## Test for correct C++ source code
roslint_cpp()

#############
## Install ##
#############

# Install libraries
install(
  TARGETS
    ${PROJECT_NAME}
    ${PROJECT_NAME}_gui
    ${PROJECT_NAME}_imarker_simple
    ${PROJECT_NAME}_remote_control
  LIBRARY DESTINATION
    ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION
    ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION
    ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install xml plugin config
install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Install executables
install(TARGETS ${PROJECT_NAME}_demo ${PROJECT_NAME}_imarker_simple_demo
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rviz-visual-tools (3.9.3-1buster) buster; urgency=high

  * Fix formatting CI job (#230 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/230>)
  * Move pub_rviz_markers_ to it's own callback queue (#193 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/193>)
  * Contributors: Jochen Sprickerhof, Vatan Aksoy Tezer

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 04 Jan 2023 21:00:00 -0000

ros-noetic-rviz-visual-tools (3.9.2-1buster) buster; urgency=high

  * Cleanup for new Ubuntu versions (#215 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/215>)
  * spin independent thread for RemoteControl (#224 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/224>)
    Avoid deadlocks and cross-thread effects with other callbacks.
  * Migrate CI to Github Actions (#197 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/197>)
  * migrate to <random> (#195 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/195>)
  * Fix bugtracker typo (#186 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/186>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Nathan Brooks, Vatan Aksoy Tezer

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 19 Sep 2022 21:00:00 -0000

ros-noetic-rviz-visual-tools (3.9.1-1buster) buster; urgency=high

  * [maint] add soname versions to libraries (#166 <https://github.com/tylerjw/rviz_visual_tools/issues/166>)
  * [maint] Apply clang-format-10 (#173 <https://github.com/tylerjw/rviz_visual_tools/issues/173>)
  * Contributors: Tyler Weaver

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 08 Oct 2020 21:00:00 -0000

ros-noetic-rviz-visual-tools (3.9.0-1buster) buster; urgency=high

  * [feature] Add optional parent frame to iMarker (#159 <https://github.com/tylerjw/rviz_visual_tools/issues/159>)
  * [feature] Publish cuboid with size as a vector3 or Eigen::Vector3d  (#125 <https://github.com/tylerjw/rviz_visual_tools/issues/125>)
  * [feature] Normalize interactive marker quaternions. (#132 <https://github.com/tylerjw/rviz_visual_tools/issues/132>)
  * [feature] normalize before publish (#131 <https://github.com/tylerjw/rviz_visual_tools/issues/131>)
  * [feature] New helper function getIdentityPose() (#122 <https://github.com/tylerjw/rviz_visual_tools/issues/122>)
  * [feature] Windows bring up. (#116 <https://github.com/tylerjw/rviz_visual_tools/issues/116>)
  * [feature] For ABCD planes: better comments, ensure the plane equation is satisfied. (#120 <https://github.com/tylerjw/rviz_visual_tools/issues/120>)
  * [feature] Make rviz_visual_tools publish triangle mesh and tf_visual_tools clean published transforms (#117 <https://github.com/tylerjw/rviz_visual_tools/issues/117>)
  * [feature] Publish plane from Ax+By+Cz+D=0 equation (#119 <https://github.com/tylerjw/rviz_visual_tools/issues/119>)
  * [feature] Remove default arguments to make function calls not ambiguous (#112 <https://github.com/tylerjw/rviz_visual_tools/issues/112>)
  * [feature] Initizalize quaternions in demo to avoid warning (#111 <https://github.com/tylerjw/rviz_visual_tools/issues/111>)
  * [fix] rviz warnings about scale and uninitialized quaternions (#129 <https://github.com/tylerjw/rviz_visual_tools/issues/129>)
  * [fix] publishCylinder namespace (#109 <https://github.com/tylerjw/rviz_visual_tools/issues/109>)
  * [fix] node type in demo launch files (#110 <https://github.com/tylerjw/rviz_visual_tools/issues/110>)
  * [maint] Adding missing dependency (interactive_markers) (#168 <https://github.com/tylerjw/rviz_visual_tools/issues/168>)
  * [maint] clang-tidy (#158 <https://github.com/tylerjw/rviz_visual_tools/issues/158>)
  * [maint] replace tf_conversions with tf2 (#151 <https://github.com/tylerjw/rviz_visual_tools/issues/151>)
  * [maint] bump cmake version (#150 <https://github.com/tylerjw/rviz_visual_tools/issues/150>)
  * [maint] remove trailing whitespaces (#130 <https://github.com/tylerjw/rviz_visual_tools/issues/130>)
  * [maint] Apply clang-tidy (#127 <https://github.com/tylerjw/rviz_visual_tools/issues/127>)
  * [maint] Switch to moveit_ci, apply clang-format (#124 <https://github.com/tylerjw/rviz_visual_tools/issues/124>)
  * [maint] Use LOGNAME for logging re:moveit styel (#106 <https://github.com/tylerjw/rviz_visual_tools/issues/106>)
  * Contributors: AndyZe, Bjar Ne, Dave Coleman, Jafar Abdi, JafarAbdi, Michael Görner, Mike Lautman, Sean Yen, Victor Lamoine, Yu, Yan, d-walsh

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 04 Sep 2020 21:00:00 -0000

ros-noetic-rviz-visual-tools (3.7.0-1buster) buster; urgency=high

  * Fix Eigen::Affine3d for Melodic (using Eigen::Isometry3d) (#105 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/105>)
  * Improve documentation (#100 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/100>)
  * Fix some catkin_lint warnings and rename targets output (#98 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/98>)
  * Update README Kinetic to Melodic (#102 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/102>)
  * Add Melodic build farm badges (#99 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/99>)
  * Add ccache support (#93 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/93>)
  * no ros::spinOnce() (#82 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/82>)
  * Deprecate old functions for ROS Melodic (#91 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/91>)
  * Improve package with catkin_lint (#89 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/89>)
  * Add OGRE dependency (#88 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/88>)
  * Automoc requires at least cmake version 2.8.6 (#86 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/86>)
  * Fix Travis badge (#84 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/84>)
  * The code already uses AUTOMOC (#76 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/76>)


=== debian/control ===
Source: ros-noetic-rviz-visual-tools
Section: misc
Priority: optional
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5x11extras5-dev, ros-noetic-catkin, ros-noetic-eigen-stl-containers, ros-noetic-geometry-msgs, ros-noetic-graph-msgs, ros-noetic-interactive-markers, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-shape-msgs, ros-noetic-std-msgs, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-visualization-msgs
Homepage: https://github.com/davetcoleman/rviz_visual_tools
Standards-Version: 3.9.2

Package: ros-noetic-rviz-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libogre-1.9-dev, libqt5x11extras5-dev, ros-noetic-eigen-stl-containers, ros-noetic-geometry-msgs, ros-noetic-graph-msgs, ros-noetic-interactive-markers, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-shape-msgs, ros-noetic-std-msgs, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-visualization-msgs
Description: Utility functions for displaying and debugging data in Rviz via published markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rviz-visual-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
